<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'testprovider',

    /*
     * Package.
     */
    'package'   => 'testpackage',

    /*
     * Modules.
     */
    'modules'   => ['post', 
'category'],

    'post'       => [
        'model' => [
            'model'                 => \Testprovider\Testpackage\Models\Post::class,
            'table'                 => 'posts',
            'presenter'             => \Testprovider\Testpackage\Repositories\Presenter\PostPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'descricao'],
            'translatables'         => [],
            'upload_folder'         => 'testpackage/post',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Testprovider',
            'package'   => 'Testpackage',
            'module'    => 'Post',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \Testprovider\Testpackage\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Testprovider\Testpackage\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'descricao'],
            'translatables'         => [],
            'upload_folder'         => 'testpackage/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Testprovider',
            'package'   => 'Testpackage',
            'module'    => 'Category',
        ],

    ],
];
