<?php

namespace Testprovider\Testpackage\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Post policy
        'Testprovider\Testpackage\Models\Post' => \Testprovider\Testpackage\Policies\PostPolicy::class,
// Bind Category policy
        'Testprovider\Testpackage\Models\Category' => \Testprovider\Testpackage\Policies\CategoryPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
