<?php

namespace Testprovider\Testpackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Testprovider\Testpackage\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'id'                => $category->id,
            'descricao'         => $category->descricao,
            'url'               => [
                'public'    => trans_url('testpackage/'.$category->getPublicKey()),
                'user'      => guard_url('testpackage/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}