<?php

namespace Testprovider\Testpackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PostTransformer extends TransformerAbstract
{
    public function transform(\Testprovider\Testpackage\Models\Post $post)
    {
        return [
            'id'                => $post->getRouteKey(),
            'key'               => [
                'public'    => $post->getPublicKey(),
                'route'     => $post->getRouteKey(),
            ], 
            'id'                => $post->id,
            'descricao'         => $post->descricao,
            'url'               => [
                'public'    => trans_url('testpackage/'.$post->getPublicKey()),
                'user'      => guard_url('testpackage/post/'.$post->getRouteKey()),
            ], 
            'status'            => trans('app.'.$post->status),
            'created_at'        => format_date($post->created_at),
            'updated_at'        => format_date($post->updated_at),
        ];
    }
}